var page = "pricebook.html";
var pricebookApp = angular.module('pricebookApp', ['menuController', 'pricebooksService', 'ivh.treeview',  
    'notifiesCtrl', 
    'soundsService',
    'chatsettingsService',
    'userchatstatusesService',
    'chatApp',
    'pricebookController']);

pricebookApp.run(function ($ionicPlatform, $ionicLoading) {
    $ionicLoading.show({ template: templateLoading });
    $ionicPlatform.ready(function () {
        var devicePlatform = "";
        try {
            devicePlatform = device.platform;
        } catch (err) {
            console.log(err)
        }
        if (devicePlatform != "iPhone" && devicePlatform != "iOS") {
            // $scope.deviceLoading = "ios";
            isiOs = false;
        }
        //ionic.Platform.fullScreen();
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
            cordova.plugins.Keyboard.disableScroll(true);
        }
        if (window.StatusBar) {
            // org.apache.cordova.statusbar required
            // StatusBar.styleDefault();
            StatusBar.show();
            StatusBar.backgroundColorByHexString("#327EBB");
            StatusBar.styleLightContent();
            //StatusBar.hide();
            StatusBar.overlaysWebView(false);
        }
    });
});

pricebookApp.config(function ($stateProvider, $urlRouterProvider) {
    $stateProvider

    /*/////////////////////// USERS ///////////////////////////*/

    .state('dashboard', {
      url: '/board',
      abstract: true,
      templateUrl: 'templates/dashboard/general/menu.html',
      controller: 'menuCtrl'
  })

    .state('dashboard.pricebook', {
        url: '/pricebook',
        views: {
            'menuContent': {
                templateUrl: 'templates/dashboard/pricebooks/pricebook.tpl',
                controller: 'pricebookCtrl'
            }
        }
    })

    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/board/pricebook');
});
